Bug 1121396 - JobExecutor: User registered callbacks are ignored.
Summary: JobExecutor: User registered callbacks are ignored.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Core
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: DR2
: 6.1.0
Assignee: Maciej Swiderski
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 11:37 UTC by Marek Baluch
Modified: 2014-09-10 08:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
BPMS 6.1.0.DR1
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Marek Baluch 2014-07-20 11:37:05 UTC
*** Description of problem
Currently when a user command registers a new callback then this callback will be ignored by the job executor.

The main reason is that the callback classes are read from the context prior the execution of the command (in the AvailableJobsExecutor#executeJob() method). It would be nice if a user could add his own callback along side the AsyncWorkItemHandlerCmdCallback).

*** How to reproduce
1) implement a new command and do the following

String callbacks = (String) ctx.getData("callbacks");
ctx.setData("callbacks", callbacks + ",com.bpms.functional.jobexec.UserCommandCallback");

*** Actual result
com.bpms.functional.jobexec.UserCommandCallback will not be executed

*** Expected result
com.bpms.functional.jobexec.UserCommandCallback will be executed

Comment 2 Maciej Swiderski 2014-07-24 18:07:55 UTC
fixed by ensuring that callbacks are created after command execution

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/e876ba5efdc9847ce1cc1f76b900c08dc8c9f954

Comment 3 Marek Baluch 2014-09-10 08:06:01 UTC
Verified on 6.1.0.DR2


Note You need to log in before you can comment on or make changes to this bug.